// -*- C++ -*-

//=============================================================================
/**
 *  @file    if.h
 *
 *  sockets local interfaces
 *
 *  if.h,v 1.2 2003/04/21 15:53:00 dhinton Exp
 *
 *  @author Don Hinton <dhinton@ieee.org>
 *  @author This code was originally in various places including ace/OS.h.
 */
//=============================================================================

#ifndef ACE_OS_INCLUDE_NET_IF_H
#define ACE_OS_INCLUDE_NET_IF_H

#include "ace/pre.h"

#include "ace/config-all.h"

#if !defined (ACE_LACKS_PRAGMA_ONCE)
# pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */

#if !defined (ACE_LACKS_NET_IF_H)
# include /**/ <net/if.h>
#endif /* !ACE_LACKS_NET_IF_H */

#include "ace/post.h"
#endif /* ACE_OS_INCLUDE_NET_IF_H */
